import {CanonicalStatic} from './CanonicalStatic'
import {Singleton, Instantiable} from '../di'
import {Queueable} from '../support/bus'

/**
 * A canonical unit that resolves Queueable classes from `app/jobs`.
 */
@Singleton()
export class Queueables extends CanonicalStatic<Queueables, Instantiable<Queueable>> {
    protected appPath = ['jobs']

    protected canonicalItem = 'job'

    protected suffix = '.job.js'
}
